Returns a task bundle by id.

GEThttps://api.awork.com/api/v1/taskbundles/{taskBundleId}
GET https://api.awork.com/api/v1/taskbundles/{taskBundleId}

Returns a task bundle by id. The response includes the bundle's configuration.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

taskBundleIdstringRequired
format: uuid

The id of the task bundle.

Responses

200 OK

application/json

namestring or nullOptional

The name of the task bundle. Required if its not related to a task bundle.

descriptionstring or nullOptional

The description of the task bundle.

iconstring or nullOptional

The icon of the task bundle.

projectTemplateIdstring or nullOptional
format: uuid

The project template id of the task bundle, only necessary for the creation of an empty bundle for a project template.

idstringOptional
format: uuid

The id of the task bundle.

createdOnstringOptional
format: date-time

The date this task bundle was created.

createdBystringOptional
format: uuid

The id of the user who created this task bundle.

updatedOnstringOptional
format: date-time

The date this task bundle was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this task bundle.

taskListsarray of object or nullOptional

The list templates within this task bundle.

Show 5 properties
idstringOptional
format: uuid

The id of the task list template.

namestring or nullOptional

The name of the task list template.

orderOfTasknumberOptional
format: double

The order of the task template in the task list template.

ordernumberOptional
format: double

The order of the task list template, unique within the task bundle.

isHiddenForConnectUsersbooleanOptional

True if the task in this list is not visible for external workspace users.

tasksarray of object or nullOptional

The task templates within this task bundle.

Show 26 properties
namestring or nullOptional

The name of the task created from this template.

descriptionstring or nullOptional

The description of the task created from this template.

isPriobooleanOptional

Whether the task created from this template will be marked as priority.

plannedDurationintegerOptional
format: int32

The expected planned workload of the task created from this template, in seconds.

relativeStartOninteger or nullOptional
format: int64

The relative start date and time of the task created from this template, in seconds, from the moment of creating the task.

relativeDueOninteger or nullOptional
format: int64

The relative due date and time of the task created from this template, in seconds, from the moment of creating the task.

typeOfWorkIdstringOptional
format: uuid

The id of the type of work of this task.

assignedRoleIdstring or nullOptional
format: uuid

The id of the assigned role of this task.

parentIdstring or nullOptional
format: uuid

The id of the parent task template if the task template is a subtask.

subtaskOrdernumber or nullOptional
format: double

The order of the subtask template relative to its parent task template.

laneOrderinteger or nullOptional
format: int32

The lane order defines the vertical position in the planner.

deriveDatesFromSubtasksboolean or nullOptional

When true, if the task is a parent task, the StartOn and DueOn will be automatically adjusted to the start and due date of the subtasks.

idstringOptional
format: uuid

The Id of the task template.

taskTypeobjectOptional

The task type model.

Show 9 properties
idstringOptional
format: uuid

The id of the task type.

namestring or nullOptional

The name of the task type.

descriptionstring or nullOptional

A short (max. 140 characters) description of the task type.

iconstring or nullOptional

The icon associated with this task type.

isArchivedbooleanOptional

Whether the type of work has been archived.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

taskListTemplatearray of object or nullOptional

The task list templates of the task template.

Show 5 properties
idstringOptional
format: uuid

The id of the task list template.

namestring or nullOptional

The name of the task list template.

orderOfTasknumberOptional
format: double

The order of the task template in the task list template.

ordernumberOptional
format: double

The order of the task list template, unique within the task bundle.

isHiddenForConnectUsersbooleanOptional

True if the task in this list is not visible for external workspace users.

taskDependencyTemplatesarray of object or nullOptional

The list of task dependency templates for that task template.

Show 7 properties
idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

predecessorTemplateIdstringOptional
format: uuid

The id of the predecessor task template.

successorTemplateIdstringOptional
format: uuid

The id of the successor task template.

assigneeIdsarray of string or nullOptional

The list of assigned users to that task template.

createdOnstringOptional
format: date-time

The date this task was created.

createdBystringOptional
format: uuid

The id of the user who created this task.

updatedOnstringOptional
format: date-time

The date this task was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this task.

ordernumber or nullOptional
format: double

For internal purposes.

hasAttachmentsbooleanOptional

If the task template has attachments.

isRecurringbooleanOptional

If the task is a recurrency template, the flag is true.

customFieldsarray of object or nullOptional

The Custom fields of the task template.

Show 9 properties
customFieldDefinitionIdstringOptional
format: uuid

The custom field definition id.

userIdValuestring or nullOptional
format: uuid

The the user id value.

clientIdValuestring or nullOptional
format: uuid

The client id value.

numberValuenumber or nullOptional
format: double

The number value.

selectionOptionIdValuestring or nullOptional
format: uuid

The selection option id value.

selectionOptionobjectOptional
Show 4 properties
idstringOptional
format: uuid

The id of the custom field selection option.

valuestringRequired
minLength: 1

The selection value which can be later used in a select custom field.

colorstring or nullOptional

Allowed: "red" "orange" "yellow" "green" "cyan" "blue" "indigo" "purple" "steel"

The color of the selection option.

ordernumberOptional
format: double

The order of the custom field selection option.

textValuestring or nullOptional

The text value.

dateValuestring or nullOptional
format: date-time

The date value.

booleanValueboolean or nullOptional

The boolean value.

tagsarray of object or nullOptional

The list of tags that will be applied to the task when it is created.

Show 3 properties
idstringOptional
format: uuid
namestring or nullOptional

The name of the tag.

colorstring or nullOptional

The color of the tag.

hasRelativeTasksbooleanOptional

True if any of the tasks in the bundle has relative dates.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation